package com.sjyt.icom.asst.context.handle.msgtype.req;

import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * <p>音视频上下文</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/22 14:48
 */
@Component
@AllArgsConstructor
public class AvMsgHandleContext {
    private final SponsorOne2OneAvMsgHandle sponsor;
    private final AcceptAvMsgHandle accept;

    public void todo(AvMsgHandleEvent event) {
        AvMsgHandle.Builder<AvMsgHandleEvent> builder=new AvMsgHandle.Builder<>();
        builder.addHandler(sponsor)
                .addHandler(accept);
        builder.build().doChain(event);
    }
}
